import { LogEntry } from 'winston';
import Transport, { TransportStreamOptions } from 'winston-transport';
import * as Sentry from '@sentry/node';
export interface Tag {
    tags?: {
        [key: string]: any;
    };
}
export interface UserInfo {
    user?: Sentry.User;
}
export interface Extra {
    extra?: {
        [key: string]: any;
    };
}
export interface SentryOptions {
    sentry: Sentry.NodeOptions;
}
export declare type Log = LogEntry & Tag & UserInfo & Extra;
export declare type SentryTransportOption = TransportStreamOptions & SentryOptions;
export declare class SentryTransport extends Transport {
    constructor(opts: SentryTransportOption);
    log(info: Log, next: () => void): void;
    private static getLevel;
}
